"use strict";

import React from 'react';
import { Group, Rect } from '@shopify/react-native-skia';
import { getBorderRadius, makeRoundedRectPath } from "../utils.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const CornerRadii = /*#__PURE__*/React.memo(function CornerRadii({
  width,
  height,
  style,
  children,
  backgroundColor
}) {
  const roundedClip = React.useMemo(() => {
    const {
      topLeftRadius,
      topRightRadius,
      bottomRightRadius,
      bottomLeftRadius
    } = getBorderRadius(style);
    return makeRoundedRectPath(width, height, topLeftRadius, topRightRadius, bottomRightRadius, bottomLeftRadius);
  }, [width, height, style]);
  return /*#__PURE__*/_jsx(Group, {
    clip: roundedClip,
    children: /*#__PURE__*/_jsx(Rect, {
      x: 0,
      y: 0,
      width: width,
      height: height,
      color: backgroundColor,
      children: children
    })
  });
});
//# sourceMappingURL=CornerRadii.js.map